--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

with Nomo.Internal_Messages.Events.Checking;

package body Nomo.Interpreter.Internal_Events.Checking is

   use Internal_Messages.Events.Checking;

   function Information_Equal (This  : in Internal_Event;
                               Value : in Positive_Integer) return Boolean is
   begin
      return Information_Equal (Internal_Message(This), Value);
   end Information_Equal;

   function Not_Immediat_Information (This  : in Internal_Event;
                                      Value : in Positive_Integer) return Boolean is
   begin
      return Not_Immediat_Information (Internal_Message(This), Value);
   end Not_Immediat_Information;

end Nomo.Interpreter.Internal_Events.Checking;
